PSFONTS(1)

NAME
psfonts, psdownload - add necessary fonts to PostScript document for printing

SYNOPSIS
psfonts [ files ... ]

psdownload [ options ] [ files ... ]

DESCRIPTION
Plan 9's troff(1) and tr2post(1) use non-standard PostScript fonts (found in /usr/local/plan9/postscript/font). Before sending PostScript output from tr2post to a standard printer, code implementing the non-standard fonts must be added to the PostScript.

Psfonts copies files (or standard input) to standard output, adding necessary PostScript fonts.

Psdownload is the more general program used to implement psfonts. The options are:

-c comment
    Expect the fonts used in the document to be listed in a comment beginning with this string (default %%DocumentFonts:).

-f atend
    Expect extra fonts comments at the end of the document, so read the entire input before starting output (by default this only happens if a %%DocumentFonts: (atend) comment is encountered).

-m mapfile
    Use mapfile to translate from PostScript font names to files. Each line in the map has two white space-separated fields: a font name and the corresponding file. If mapfile is not a rooted path, it is evaluated relative to the fontdir (see -H below).

-p printer
    Set the name of the printer. This option is deprecated. Its only effect is to override the -r option, causing fontdir/printers/printer to be used as the resident fonts list.

-r residentfonts
    Read a list of fonts assumed to be on the printer (not necessary to re-download) from the file residentfonts. If residentfonts is not a rooted path, it is evaluated relative to the fontdir (see -H below).

-H fontdir
    Set the directory that is assumed to contain the PostScript fonts and information about printers (see -m, -p, and -r above; default /usr/local/plan9/postscript/font).

-T tmpdir
    Use tmpdir for storing temporary files (default /var/tmp).

-D  Produce copious amounts of debugging information on standard error.

-I  Continue running even after fatal errors occur.

EXAMPLE
See tr2post(1) for an example.

SOURCE
/usr/local/plan9/bin/psfonts
/usr/local/plan9/src/cmd/postscript/download

SEE ALSO
troff(1), tr2post(1)